library flatuicolors;

import 'package:flutter/material.dart';

//FlatUI Palette by Flat UI Colors
//Please find the original palette here: https://flatuicolors.com/palette/defo
class FlatUIColors {

    Color turquoise             = const Color(0xFF1abc9c);
    Color emerald               = const Color(0xFF2ecc71);
    Color peter_river           = const Color(0xFF3498db);
    Color amethyst              = const Color(0xFF9b59b6);
    Color wet_asphalt           = const Color(0xFF34495e);

    Color green_sea             = const Color(0xFF16a085);
    Color nephritis             = const Color(0xFF27ae60);
    Color belize_hole           = const Color(0xFF2980b9);
    Color wisteria              = const Color(0xFF8e44ad);
    Color midnight_blue         = const Color(0xFF2c3e50);


    Color sun_flower            = const Color(0xFFf1c40f);
    Color carrot                = const Color(0xFFe67e22);
    Color alizarin              = const Color(0xFFe74c3c);
    Color clouds                = const Color(0xFFecf0f1);
    Color concrete              = const Color(0xFF95a5a6);

    Color orange                = const Color(0xFFf39c12);
    Color pumpkin               = const Color(0xFFd35400);
    Color pomegranate           = const Color(0xFFc0392b);
    Color silver                = const Color(0xFFbdc3c7);
    Color asbestos              = const Color(0xFF7f8c8d);

}

//American Palette by Kevin Yang: http://dribbble.com/eatsleepvector
//Please find the original palette here: https://flatuicolors.com/palette/us
class American {

    final light_greenish_blue   = const Color(0xFF55efc4);
    final faded_poster          = const Color(0xFF81ecec);
    final green_darner_tail     = const Color(0xFF74b9ff);
    final shy_moment            = const Color(0xFFa29bfe);
    final city_lights           = const Color(0xFFdfe6e9);

    final mint_leaf             = const Color(0xFF00b894);
    final robins_egg_blue       = const Color(0xFF00cec9);
    final electron_blue         = const Color(0xFF0984e3);
    final exodus_fruit          = const Color(0xFF6c5ce7);
    final soothing_breeze       = const Color(0xFFb2bec3);


    final sour_lemon            = const Color(0xFFffeaa7);
    final first_date            = const Color(0xFFfab1a0);
    final pink_glamour          = const Color(0xFFff7675);
    final pico8_pink            = const Color(0xFFfd79a8);
    final american_river        = const Color(0xFF636e72);

    final bright_yarrow         = const Color(0xFFfdcb6e);
    final orange_ville          = const Color(0xFFe17055);
    final chi_gong              = const Color(0xFFd63031);
    final prunus_avium          = const Color(0xFFe84393);
    final dracula_orchid        = const Color(0xFF2d3436);

}

//Aussie Palette by Kate Hoolahan: http://dribbble.com/hoolah
//Please find the original palette here: https://flatuicolors.com/palette/au
class Aussie {

    final bee_keeper            = const Color(0xFFf6e58d);
    final spiced_nectarine      = const Color(0xFFffbe76);
    final pink_glamour          = const Color(0xFFff7979);
    final june_bud              = const Color(0xFFbadc58);
    final coastal_breeze        = const Color(0xFFdff9fb);

    final turbo                 = const Color(0xFFf9ca24);
    final quince_jelly          = const Color(0xFFf0932b);
    final carmin_pink           = const Color(0xFFeb4d4b);
    final pure_apple            = const Color(0xFF6ab04c);
    final hint_of_ice_pack      = const Color(0xFFc7ecee);


    final middle_blue           = const Color(0xFF7ed6df);
    final helio_trope           = const Color(0xFFe056fd);
    final exodus_fruit          = const Color(0xFF686de0);
    final deep_koamaru          = const Color(0xFF30336b);
    final soaring_eagle         = const Color(0xFF95afc0);

    final greenland_green       = const Color(0xFF22a6b3);
    final steele_pink           = const Color(0xFFbe2edd);
    final blurple               = const Color(0xFF4834d4);
    final deep_cove             = const Color(0xFF130f40);
    final wizard_grey           = const Color(0xFF535c68);

}



//British Palette by Jan Losert: http://dribbble.com/janlosert
//Please find the original palette here: https://flatuicolors.com/palette/gb
class British {

    final protoss_pylon         = const Color(0xFF00a8ff);
    final periwinkle            = const Color(0xFF9c88ff);
    final rise_n_shine          = const Color(0xFFfbc531);
    final download_progress     = const Color(0xFF4cd137);
    final seabrook              = const Color(0xFF487eb0);

    final vanadyl_blue          = const Color(0xFF0097e6);
    final matt_purple           = const Color(0xFF8c7ae6);
    final nanohanacha_gold      = const Color(0xFFe1b12c);
    final skirret_green         = const Color(0xFF44bd32);
    final naval                 = const Color(0xFF40739e);


    final nasturcian_flower     = const Color(0xFFe84118);
    final lynx_white            = const Color(0xFFf5f6fa);
    final blueberry_soda        = const Color(0xFF7f8fa6);
    final mazarine_blue         = const Color(0xFF273c75);
    final blue_nights           = const Color(0xFF353b48);

    final harley_davidson_orange= const Color(0xFFc23616);
    final hint_of_pensive       = const Color(0xFFdcdde1);
    final chain_gang_grey       = const Color(0xFF718093);
    final pico_void             = const Color(0xFF192a56);
    final electro_magnetic      = const Color(0xFF2f3640);

}




//Canadian Palette by Dmitri Litvino : http://dribbble.com/dmitrilitvinov
//Please find the original palette here: https://flatuicolors.com/palette/ca
class Canadian {

    final jiggly_puff           = const Color(0xFFff9ff3);
    final casandora_yellow      = const Color(0xFFfeca57);
    final pastel_red            = const Color(0xFFff6b6b);
    final megaman               = const Color(0xFF48dbfb);
    final wildCaribbeanGreen    = const Color(0xFF1dd1a1);

    final lián_hóng_lotus_pink  = const Color(0xFFf368e0);
    final double_dragon_skin    = const Color(0xFFff9f43);
    final amour                 = const Color(0xFFee5253);
    final cyanite               = const Color(0xFF0abde3);
    final dark_mountain_meadow  = const Color(0xFF10ac84);


    final jade_dust             = const Color(0xFF00d2d3);
    final joust_blue            = const Color(0xFF54a0ff);
    final nasu_purple           = const Color(0xFF5f27cd);
    final light_blue_ballerina  = const Color(0xFFc8d6e5);
    final fuel_town             = const Color(0xFF576574);

    final aqua_velvet           = const Color(0xFF01a3a4);
    final bleu_de_france        = const Color(0xFF2e86de);
    final bluebell              = const Color(0xFF341f97);
    final storm_petrel          = const Color(0xFF8395a7);
    final imperial_primer       = const Color(0xFF222f3e);

}

